WordPress.org

Make WordPress Core

Opened 6 years ago

Closed 6 years ago

#32822 closed defect (bug) (duplicate)

Plugin Update fails on plugin page if wrong permissions are set

Reported by: arkonisus Owned by:
Milestone: Priority: normal
Severity: normal Version: 4.2.2
Component: Upgrade/Install Keywords:
Focuses: Cc:

Description

In addition to #30921

please set the permissions of a plugin(folder) to not writable and then try to update. On the page "/wp-admin/update-core.php" the update fails with the message "Cannot Remove Old Plugin" which is quite good :)

BUT if you try to update the plugin with the ajax-updater on the page "/wp-admin/plugins.php" you will get the wrong Message "Updated!" ...

Change History (1)

#1 @dd32
6 years ago

  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate of #32473.

Note: See TracTickets for help on using tickets.